Package org.eclipse.ui.texteditor

# Class AnnotationPreferenceLookup

java.lang.Object
org.eclipse.ui.texteditor.AnnotationPreferenceLookup

public class AnnotationPreferenceLookup extends Object
Provides the strategy for finding the annotation preference for a given annotation.

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`AnnotationPreferenceLookup()`
Creates a new annotation preference lookup object.

## Method Summary

Modifier and Type
Method
Description
`AnnotationPreference`
`getAnnotationPreference(String annotationType)`
Returns the annotation preference defined for the given annotation type.
`AnnotationPreference`
`getAnnotationPreference(Annotation annotation)`
Returns the annotation preference of a given annotation.
`AnnotationPreference`
`getAnnotationPreferenceFragment(String annotationType)`
Returns the annotation preference fragment defined for the given annotation type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AnnotationPreferenceLookup

public AnnotationPreferenceLookup()
Creates a new annotation preference lookup object.

## Method Details

### getAnnotationPreference

public AnnotationPreference getAnnotationPreference(Annotation annotation)
Returns the annotation preference of a given annotation.

Parameters:
  `annotation` - the annotation
Returns:
  the annotation preference for the given annotation or `null`

### getAnnotationPreference

public AnnotationPreference getAnnotationPreference(String annotationType)
Returns the annotation preference defined for the given annotation type.

Parameters:
  `annotationType` - the annotation type
Returns:
  the annotation preference for the given annotation type or `null`

### getAnnotationPreferenceFragment

public AnnotationPreference getAnnotationPreferenceFragment(String annotationType)
Returns the annotation preference fragment defined for the given annotation type.

For internal use only. Not intended to be called by clients.

Parameters:
  `annotationType` - the annotation type
Returns:
  the defined annotation preference fragment